/**************************************************************************
**
** This file is part of Qt Creator
**
** Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
**
** Contact:  Qt Software Information (qt-info@nokia.com)
**
** Commercial Usage
**
** Licensees holding valid Qt Commercial licenses may use this file in
** accordance with the Qt Commercial License Agreement provided with the
** Software or, alternatively, in accordance with the terms contained in
** a written agreement between you and Nokia.
**
** GNU Lesser General Public License Usage
**
** Alternatively, this file may be used under the terms of the GNU Lesser
** General Public License version 2.1 as published by the Free Software
** Foundation and appearing in the file LICENSE.LGPL included in the
** packaging of this file.  Please review the following information to
** ensure the GNU Lesser General Public License version 2.1 requirements
** will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
**
** If you are unsure which license is appropriate for your use, please
** contact the sales department at qt-sales@nokia.com.
**
**************************************************************************/

#ifndef QMLPROJECTPLUGIN_H
#define QMLPROJECTPLUGIN_H

#include <extensionsystem/iplugin.h>

#include <QtCore/QObject>

namespace QmlProjectManager {
namespace Internal {

class ProjectFilesFactory;

class QmlProjectPlugin: public ExtensionSystem::IPlugin
{
    Q_OBJECT

public:
    QmlProjectPlugin();
    ~QmlProjectPlugin();

    virtual bool initialize(const QStringList &arguments, QString *errorString);
    virtual void extensionsInitialized();

private:
    ProjectFilesFactory *m_projectFilesEditorFactory;
};

} // namespace Internal
} // namespace QmlProject

#endif // QMLPROJECTPLUGIN_H
